#ifdef WITH_FABULATECH
#ifndef __FTUSBRDP_H_
#define __FTUSBRDP_H_

#include <stdlib.h>
#include <stdio.h>
#include <inttypes.h>
#include <sys/queue.h>

#if 0
#define ftusb_dbg(...) \
	do {\
		fprintf(stdout, "%-27s ", __FUNCTION__);\
		fprintf(stdout, __VA_ARGS__);\
	} while (0)
#else
#define ftusb_dbg(...)
#endif

#pragma pack(push, 1)
struct __attribute__((packed)) ftusb_packet {
	uint8_t command;
	uint16_t id;
	uint32_t datasize;
};
#pragma pack(pop)

LIST_HEAD(connlist, ftusb_conn) ftusb_connlist;

struct ftusb_conn {
	int fd;
	uint32_t id;
	LIST_ENTRY(ftusb_conn) entries;
};

RD_BOOL ftusbrdp_init(void);

#endif /* __FTUSBRDP_H_ */
#endif /* WITH_FABULATECH */
